Subject: bug#53596: 29.0.50; comp-trampoline-compile: Cannot find suitable directory for output in `native-comp-eln-load-path'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Jan 2022 19:55:09 +0200

> From: Michael Heerdegen <[email-masked]>
> Date: Sat, 29 Jan 2022 18:36:31 +0100
> Cc: Lars Ingebrigtsen <[email-masked]>,
>  Manuel Uberti <[email-masked]>, [email-masked]
> 
> Andrea Corallo <[email-masked]> writes:
> 
> > Should be bf695b937e.
> 
> Hmm - I still have a problem.  I did git clean -xf then rebuilt and
> I still get this:
> 
> Debugger entered--Lisp error: (error "Cannot find suitable directory for output in ‘nati...")
>   error("Cannot find suitable directory for output in `nati...")
>   comp-trampoline-compile(read-string)
>   comp-subr-trampoline-install(read-string)
>   advice--add-function(:around (#f(compiled-function () #<bytecode 0x3647c019df7e91>) . #f(compiled-function (gv--val) #<bytecode 0x85c60bbba7cb3c2>)) my-read-string--default-in-prompt-around-ad nil)
>   advice-add(read-string :around my-read-string--default-in-prompt-around-ad)
>   load-with-code-conversion("/home/micha/gnu-emacs/.gnu-emacs.el" "/home/micha/gnu-emacs/.gnu-emacs.el" nil nil)
>   load("~/gnu-emacs/.gnu-emacs")
>   load-with-code-conversion("/home/micha/.emacs" "/home/micha/.emacs" t t)
>   load("~/.emacs" noerror nomessage)
>   startup--load-user-init-file(#f(compiled-function () #<bytecode 0x14ae77e413cd36de>) #f(compiled-function () #<bytecode -0x1f3c6feddc0c6975>) t)
>   command-line()
>   normal-top-level()
> 
> Is there anything else to clean up?

Is this with the latest master branch?  If so, what do you have in
native-comp-eln-load-path, and what does comp-eln-load-path-eff
return, inside comp-trampoline-compile?